package com.sleepycat.je.log;
import java.nio.ByteBuffer;

/**
 * direct buffer is only used in one position in the logbuffer
 */
public privileged aspect DirectNIO {

	ByteBuffer around(int capacity):
		call(public static ByteBuffer allocate(int)) && args(capacity) && within(LogBuffer) {
		 
		return ByteBuffer.allocateDirect(capacity);
	}
}
